Get authenticated user info
curl --request GET \
--url https://api.vantage.sh/v2/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"default_workspace_token": "<string>",
"workspaces": [
{
"token": "<string>",
"name": "Acme Corp.",
"created_at": "2023-08-04T00:00:00Z",
"enable_currency_conversion": true,
"currency": "USD",
"exchange_rate_date": "<string>"
}
],
"bearer_token": {
"description": "<string>",
"created_at": "2023-08-04T00:00:00Z",
"scope": [
"<string>"
]
},
"is_account_owner": true,
"default_dashboard_token": "<string>"
}Me
Get authenticated user info
Get information about the authenticated BearerToken.
GET
/
me
Get authenticated user info
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- https://console.vantage.sh/account/profile
Scopes1
read
Grants read access
Response
200 - application/json
General information about the user.
Me model
Show child attributes
Show child attributes
Show child attributes
Show child attributes
True when the authenticated User or Token has the Owner role on the Account.
The token of the default Dashboard for the User.